LuxtakLuxtak
  • Introduction
  • Payin API
    • Environments
    • All-In-One Checkout
      • Checkout Page (General)
      • Checkout Page (E-com)
    • Direct integration
      • Brazil
        • Pix
      • Mexico
        • Cash
        • CoDi
        • SPEI
        • Virtual SPEI
          • Create
          • Query
      • Colombia
        • Wallet
        • PSE
      • Chile
        • Bank Transfer
        • Wallet
      • Peru
        • Bank Transfer
        • Cash
      • Ecuador
        • Bank Transfer
        • Cash
      • Russia
        • CreditCard
        • SBP
        • SberPay
        • TPay
        • CardVault
        • SBPVault
      • Global
        • Crypto
        • Binance
      • Paraguay
        • PIXParaguay
      • Argentina
        • BankTransfer
        • QRCode
    • Notification
      • Security
    • Recurring Payment
      • Support Target and Currency
    • Tokenization
    • Payin Detail
    • Refund
    • Data
      • Payment Method
      • Data for test (Sandbox)
      • Payin Status
      • Icon of methods
      • Country Code
    • API Code
  • Payout API
    • Environments
    • Security
    • Submit a payout
      • Brazil
        • Pix
      • Argentina
        • BankTransfer
      • Russia
        • SBP
        • BankTransfer
      • Global
        • Crypto
        • Binance
      • Paraguay
        • PIXParaguay
      • Mexico
        • SPEI
    • Notification
    • Account Balance
    • Payout Status
    • Payout List
    • Payout Detail
    • Payment Method
    • Data for test
    • Bank Code List
      • Bank in Mexico
      • Bank in Argentina
    • API Code

QRCode

How to use QRCode to submit a payin in Argentina.

Post

https://gateway-test.luxtak.com/trade/pay

Payin by QRCode

This endpoint allows you to submit a payin by QRCode in Argentina.

Parameters

Header

ParameterTypeDescription
Content-Type*stringapplication/json; chartset=UTF-8
Authorization*stringBasic Base($app_id:$security_key)

Request Body

ParameterTypeDescription
app_id*stringcreated app's id at dashboard
- Max. 32 chars -
timestamp*stringyyyy-MM-dd HH:mm:ss
- Max. 19 chars -
out_trade_no*stringID given by the merchant in their system
- Max. 64 chars -
method*stringFixed value: QRCode
order_currency*stringFixed value: ARS
region*stringFixed value: ARG
order_amount*stringpayment amount
- 1,468 ~ none -
subject*stringpayment reason or item title
- Max. 128 chars -
contentstringpayment reason detail or item detail.
- Max. 255 chars -
notify_url*stringWhere luxtak will send notification to
buyer_id*stringmerchant user's id
customer.email*stringUser's email
customer.phone*stringUser's phone

Responses

200submit successfully
{
    "code": "10000",
    "msg": "Success",
    "prepay_id": "c1Nz****091a749",
    "trade_no": "2026****1505",
    "out_trade_no": "out_trade_no_136***250",
    "web_url": "",
    "pay_url": "https://checkout.luxtak.com/checkout?prepay_id=c1Nz****091a749",
    "trade_status": "PROCESSING",
    "qr_code": "0002010***63044727"
}

|||| |:------|:-----| |400|duplicate out_trade_no|

{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}

Tips

User payment tips

  • Users can scan the QR code to finish the payment. QR code can be generated with qr_code value.

  • Settled time: Instant after paid

  • Refund: Not supported

Example

curl --location --request POST 'https://gateway-test.luxtak.com/trade/pay' \
--header 'Authorization: Basic Base64(app_id:security_key)' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "1702***353",
    * "out_trade_no": "out_trade_no_136****50",
    * "order_currency": "ARS",
    * "region": "ARG",
    * "method": "QRCode",
    * "order_amount": "2000",
    * "subject": "test",
    * "content": "test",
    * "timestamp": "2024-07-04 18:50:42",
    * "notify_url": "http://merchant/callback/success",
    * "buyer_id": "buyer001",
    * "customer": {
    *     "email": "[email protected]",
    *     "phone": "54***5678"
      }
}'

Tips

Note: Use luxtak's test app id and authorization token for sandbox.

Warning

Please use your own app_id and generate your own authorization token when testing.

Prev
BankTransfer